import React, { useState, useRef, useEffect, useMemo } from "react";
import { useRecordContext, useTranslate } from "react-admin";
import { Stack, Button, Box, Chip } from '@mui/material';

const StatusField = (props) => {
    const translate = useTranslate();
    const record = useRecordContext();
    if (!record) return null;
    return (
        <Chip
            label={record.status === 1
                ? translate('common.enums.statusTrue')
                : translate('common.enums.statusFalse')
            }
            size="small"
            color={
                record.status === 1
                    ? "primary"
                    : record.status === 0
                        ? "error"
                        : "default"
            }
        />
    );
}

export default StatusField;